<template>

  <div>
    <header v-if="$slots.header">
      <slot name="header">
        <!-- excessive with conditional rendering -->
        Default header
      </slot>
    </header>
    <slot />
  </div>

</template>

<script>
export default {
  name: "BaseCard"
}
</script>

<style scoped>

section header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

</style>